<html>
<!--    cibl&eacute; par:  nouveau-contrat1.php

		cible:  confirmation.php						
 -->

<!-- param&egrave;tre &eacute;mis:        -session_id         le num&eacute;ro de la session
							-etape
							-code_contrat
							-plein_prix_total
							-credit
							-prix_reel_total
							-rabais_total
							-grand_total
							-depot=200
							-refere=
							-commentaire
							
	 param&egrave;tre re&ccedil;evable :  -session_id         le num&eacute;ro de la session
	 						-code_client
							-nb_chalet
							-date_soumission
							-plein_prix
							-prix_reel
							-repas
							-plein_prix_cafe
							-prix_reel_cafe
 -->
 <head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Nouveau contract</title>
<body>

<?php 

//Fichiers contenant les fonctions utilis&eacute;es dans le script.
require("../outils/gui.php");
require("../outils/session.php");
require("../outils/mise_en_page.php");
require("calendrier.php");


//V&eacute;rifier si la session est valide.
$Bsession_id = $_GET["Bsession_id"];
verifierSession($session_id);

	
//V&eacute;rifier les droits de l'utilisateur.
$privilege_base = lirePrivilege($session_id);
if (($privilege_base != 2) and ($privilege_base != 1))
	die("Vous n'avez pas les droits!");	
	
// cr&eacute;er le nouveau enregistrement dans la table contrat*******************
	 $sql = "insert into base_contrat
			 set date_emission = '$date_emission',
				 date_debut = '$date_debut',
				 date_fin = '$date_fin',
				 num_client = '$code_client',
				 heure_debut = '$heure_debut',
				 heure_fin = '$heure_fin',
				 cal_debut = '$cal_debut',
				 cal_fin = '$cal_fin',
				 etat = '$type',
				 nuite = '$nuite',
				 mis_a_jour = now();";
	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("Probl&egrave;me de cr&eacute;ation!<br>".$sql);


//trouver le code du contrat*****************************************************************************************
	$sql = "select code_contrat FROM base_contrat
		    WHERE num_client = '$code_client' 
			  AND date_emission = '$date_emission';";
			  
	$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("Probl&egrave;me code contrat<br>".$sql);
	$row = mysqli_fetch_row($result);
	$code_contrat = $row[0];		

	
// cr&eacute;er le nouveau enregistrement dans la table chalets et calendrier***************************************************************

	$chalets[1] = $chalet1;$chalets[2] = $chalet2;$chalets[3] = $chalet3;$chalets[4] = $chalet4;$chalets[5] = $chalet5;$chalets[6] = $chalet6;$chalets[7] = $chalet7;
	$plein_prix[1] = $plein_prix1;$plein_prix[2] = $plein_prix2;$plein_prix[3] = $plein_prix3;$plein_prix[4] = $plein_prix4;$plein_prix[5] = $plein_prix5;$plein_prix[6] = $plein_prix6;$plein_prix[7] = $plein_prix7;
	$prix_reel[1] = $prix_reel1;$prix_reel[2] = $prix_reel2;$prix_reel[3] = $prix_reel3;$prix_reel[4] = $prix_reel4;$prix_reel[5] = $prix_reel5;$prix_reel[6] = $prix_reel6;$prix_reel[7] = $prix_reel7;

	
//POUR CHAQUE CHALET	
	for ($j = 1; $j < $nb_chalet+1; $j++)
	{
			
			//V&Eacute;RIFIER CHAQUE DATE
			list ($validation,$num_chalet,$array_date,$array_etat,$array_requete,$nb_enregistrement) = calendrier($cal_debut,$cal_fin,$date_debut,$date_fin,$type,1,$chalets[$j],$code_contrat,"aucun"); //fonctiopn dans calendrier.php,   le 1 est pour ajout
			$tableau_chalet[$j] = array($validation,$num_chalet,$array_date,$array_etat,$array_requete,$nb_enregistrement);
	}
	//BOUCLE POUR CALCULER LA VALIDATION DE TOUT LES CHALETS
	$validation = 1;
	for ($j = 1; $j < $nb_chalet+1; $j++)
	{
		$validation = ($validation*$tableau_chalet[$j][0]);
	}	
	
	if ($validation == 0)//si la p&eacute;riode choisi n'est pas valide
	{
		print("<center><b><br>");
		print("La p&eacute;riode de location que vous avez choisi est d&eacute;j&agrave; occup&eacute; par un autre contrat. Veuillez en choisir une autre.<br><br>");
		print("<a href='#' onClick='history.go(-1)'><img src=bouton5.gif border=0></a>");				
	}
	
	
//////////////////////////////////////////////////////////////////////////////////////////////////////
//					VALIDATION DES DONN&Eacute;ES CR&Eacute;&Eacute; PAR LA FONCTION CALENDRIER							//
//	Chaque donn&eacute;e retourn&eacute; par la fonction calendrier() est plac&eacute; dans le tableau $tableau_chalet	//
//	(tableau multi-dimenssion). Le code qui suit traite toute les enregistrements seulement si		//
// 	la validation de tout les chalets est ok.														//
//////////////////////////////////////////////////////////////////////////////////////////////////////

	if ($validation > 0)//si le calendrier est ok, on proc&egrave;de &agrave; la suite de l'enregistrement du contrat
	{
//POUR CHAQUE CHALET	
		for ($j = 1; $j < $nb_chalet+1; $j++)
		{
//POUR CHAQUE ENREGISTREMENT DU CHALET		
			for ($a = 0; $a<= $tableau_chalet[$j][5]; $a++)
			{
				$requete1 = $tableau_chalet[$j][4][$a]; 
				$etat1 = $tableau_chalet[$j][3][$a];
				$date1 = $tableau_chalet[$j][2][$a];
				$num_chalet1 = $tableau_chalet[$j][1];
				
				if ($type != 'annul&eacute;') 
				{
//SI C'EST POUR UN UPDATE
					if ($requete1 == 2)
					{
						$sql = "UPDATE base_calendrier
					    	       SET etat = '$etat1',
								   mis_a_jour = now()
								 WHERE base_calendrier.date = '$date1'
								   AND num_chalet = '$num_chalet1';";
						$result3 = mysqli_query($GLOBALS["___mysqli_ston"], $sql)	or die ("Probl&egrave;me dupdate de la date: ".$date."<br><br>".$sql);
					}
//SI C'EST POUR UN INSERT
					if ($requete1 == 1)
					{
						$sql = "INSERT INTO base_calendrier
								        SET base_calendrier.date = '$date1',
											num_chalet = '$num_chalet1',
											etat = '$etat1',
											mis_a_jour = now();";
						$result2 = mysqli_query($GLOBALS["___mysqli_ston"], $sql)	or die ("Probl&egrave;me d'enregistrement de la date: ".$date."<br><br>".$sql);
					}
				}
			}
//////////////////////////////////////////////////////////////////////////////////////////////////////	
//					  FIN DE L'ENREGISTREMENT DES DATES &Agrave; LA TABLE CALENDRIER						//							
//////////////////////////////////////////////////////////////////////////////////////////////////////		
		
		
			
			//requete	
			 $sql = "insert into base_chalets
						     set num_chalet = '$chalets[$j]',
						         code_contrat = '$code_contrat',
						         prix_plein = '$plein_prix[$j]',
						         prix_rabais = '$prix_reel[$j]',
						         actif = 'O',
					    	     date_modif = now(),
					  	         mis_a_jour = now();";
			$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("Probl&egrave;me de cr&eacute;ation des chalets!<br>".$sql);
		}		
		


	
//insertion dans la table nb_clients********************************************************************************************

		$sql = "insert into base_nb_clients
				   set code_contrat = '$code_contrat',	
					   nb_jeune = '$nb_jeune',
					   nb_adulte ='$nb_adulte',
					   prix_plein ='$nb_plein_prix',
				   	   prix_rabais ='$nb_prix_reel',	
 				       actif = 'O',			   
				       mis_a_jour = now();";
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("Probl&egrave;me de cr&eacute;ation dans nb_clients!<br>".$sql);
	
//insertion dans la table base_cafeteria***************************************************************************************
		if (!empty($nb_repas))	
		{
			 $sql = "insert into base_cafeteria
					    set num_cafeteria = '1',
					  	    code_contrat = '$code_contrat',
							nb_pers = '$nb_repas',
							prix_plein = '$plein_prix_cafe',
							prix_rabais = '$prix_reel_cafe',
							actif = 'O',
							date_modif = now(),
							mis_a_jour = now();";
			$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("Probl&egrave;me de cr&eacute;ation de cafeteria!<br>".$sql);
		}


	print("<table width=100% border=0><tr><td valign=top>");			

	//Formulaire d'ajout d'un nouveau membre suite.
	print ("<form action=\"gestion-contract.php?Bsession_id=".$_GET['Bsession_id']."\" method=\"get\" name=\"gestion\">");
	print("<input type=\"hidden\" name=\"session_id\" value=".$session_id.">");
	print("<input type=\"hidden\" name=\"code_contrat\" value=".$code_contrat.">");
	print("<input type=\"hidden\" name=\"code_client\" value=".$code_client.">");	

	print("<center><br>");
	print("<input type=\"submit\" value=\"Soumettre\"></form>");	
	}



	
?>

</body>
</html>	
	
	
	
	
